Page MenuHomePhabricator

Make new tasks within a specific project use a template in description field
Closed, DeclinedPublic

Description

Upstream task: https://secure.phabricator.com/T9132

As part of the migration of Research and Data to Phab, we would like to request that the Description field in new tasks is pre-filled with default text, when the target is the R&D project.

For example:

Due date: <!-- specify here if this request is urgent or has a fixed delivery date -->

About: <!-- provide some context to the request, for example: "we launched the annual report and we want to better understand if anybody is actually reading it"-->

Research questions: <!-- what questions are you trying to answer with this request, for example: "are we reaching specific countries with the annual report? Do people primarily access the report on desktop devices?" -->

Actionable outcome: <!-- explain briefly how you will use this data to make a decision, for example: "we will use information on readership to decide if we need to prioritize responsive design for the next iteration" -->

Value: <!-- how critical or important this request is, help us understand how this stacks against your priorities, for example: "we'll be able to make case to get a large tax exemption" -->


See Also: T89335: Creating private tasks by filling a web form (for AffCom)

Event Timeline

ggellerman raised the priority of this task from to Needs Triage.
ggellerman updated the task description. (Show Details)
ggellerman added a project: Phabricator.
ggellerman added a subscriber: ggellerman.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2015, 7:39 PM

Does Trello offer this?
Maybe I just cannot find such a card in https://trello.com/b/k5N0ivoM/research-and-data that exposes this pattern?
Or am I on the wrong board (I don't know trello well)?

I don't think that Trello was the inspiration for this request.

We are trying to make requests to Research more efficient by asking stakeholders to provide some standard information when they file the request. This will reduce communication cycles and help Research to prioritize requests and potentially find better solutions without first expending effort on solutions that are not appropriate to the problem.

Qgil added a subscriber: Qgil.Mar 4 2015, 10:25 PM

Understood, but can this feature request be considered a blocker for the
migration from Trello when you don't have it in Trello?

I'll let Dario comment on Trello.

But what is the process for getting this upstreamed? This feature would be hugely valuable to us. Thanks!

@Qgil that's a fair point, we don't need to mark this as a blocker. Phab will make it easy for anyone to submit data requests to the team and we're already struggling to balance these one-off requests with our quarterly priorities. I want to understand if there's a simple way to make incoming requests sufficiently structured to be more tractable and minimize the amount of effort needed to assess them.

Qgil added a comment.Mar 5 2015, 8:15 AM

I wonder whether this is already supported using task creation with URL parameters: https://www.mediawiki.org/wiki/Phabricator/Help#Passing_certain_values_in_the_task_creation_URL

Tests in https://phab-01.wmflabs.org welcome.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Mar 5 2015, 8:15 AM

indeed, do you know how to use the "template" parameter?

@Qgil I tried to remove this task as a blocker to Research migration, but it was grayed out so I could not remove it. Are you able to remove it?

Also, could we get some help implementing the template parameter?

Thanks!

DarTar updated the task description. (Show Details)Mar 5 2015, 9:19 PM

@ Ciencia_Al_Poder Thank you!

Qgil added a comment.EditedMar 5 2015, 9:37 PM

@DarTar @ggellerman, next time you only need to go to the blocked task and click "Blocked By".

Playing a bit one can see that with a bit of patience and Wikipedia :), you can create your magical URL. This is what I got after 10 minutes of research and development:

https://phabricator.wikimedia.org/maniphest/task/create/?description=%2A%2AFirst%20line%3A%2A%2A%20Comment%0D%0D%2A%2ASecond%20line%3A%2A%2A%20etc

(click it)

@DarTar @ggellerman, next time you only need to go to the blocked task and click "Blocked By".
Playing a bit one can see that with a bit of patience and Wikipedia :), you can create your magical URL. This is what I got after 10 minutes of research and development:
https://phabricator.wikimedia.org/maniphest/task/create/?description=%2A%2AFirst%20line%3A%2A%2A%20Comment%0D%0D%2A%2ASecond%20line%3A%2A%2A%20etc
(click it)

And there are online tools that will perform that encoding giving an input text. Choose what you prefer.

I'm not aware of functionality in Phabricator itself though to set a template for a field. Only by passing stuff via URL parameters.

Aklapper triaged this task as Low priority.Mar 6 2015, 11:48 AM
Aklapper updated the task description. (Show Details)Mar 16 2015, 11:33 AM
Aklapper updated the task description. (Show Details)Sep 2 2015, 12:24 PM
Restricted Application added a subscriber: scfc. · View Herald TranscriptSep 2 2015, 12:24 PM
Aklapper moved this task from Backlog to Upstreamed on the Phabricator (Upstream) board.

I edited the task description by linking to the upstream Phabricator ticket about providing prefilling of all fields in all forms.

Via a custom hack it might be possible to set $task->setDescription("foo\nfoo"); in src/applications/maniphest/controller/ManiphestTaskEditController.php with some if condition on the project.

Luke081515 changed the task status from Open to Stalled.Dec 30 2015, 10:37 PM
Luke081515 added a subscriber: Luke081515.

In a few weeks we have this forms, so we can so something like that. So I think we can stall this till the next update.

This is not really stalled but rather blocked by T120013 I'd say. :)

Aklapper changed the task status from Stalled to Open.Dec 30 2015, 10:38 PM
mmodell added a subscriber: mmodell.Jan 2 2016, 3:55 AM

See https://phab-01.wmdlabs.org which has been updated with the forms code. It does seem feasible to implement this now (as soon as we deploy the next major phabricator upgrade. Note, this deployment is currently on hold pending extensive testing of the changes so that we can understand potential breakage and adjust to required workflow changes)

This comment was removed by Aklapper.

It's now possible to implement template forms for specific projects or special use-cases. To request a custom form for your project, open a new task for Project-Admins describing what you would like to do.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:02 PM
Aklapper changed the task status from Open to Stalled.May 8 2018, 9:58 AM
Aklapper added a subscriber: ggellerman.

@ggellerman: Is this still wanted? If so, which existing project tag should be set in that form? Or who involved in "Research and Data" can answer this?
After answering this, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!

Adding Research (as implied by the desc in Research-and-Data-2015-Q4) to get feedback on T91538#4189775.

Aklapper closed this task as Declined.Jun 27 2018, 12:06 PM

Unfortunately closing this report as declined as we have not seen input from Research or @ggellerman. If this is still wanted, please provide requested information and set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!